<html>
 <head>
	<title>Test results</title>
	<meta charset='utf-8'>
	<link href='http://fonts.googleapis.com/css?family=Varela+Round&v2' rel='stylesheet' type='text/css'>
     <meta name="viewport" content="width=device-width, initial-scale=1">
	 <style>
		 .layout {
		 margin: 0 auto;
		 max-width: 1000px;

		 }
		 body { font-family: arial, serif; margin: 0; padding: 0; background: #ecf0f1; font-size: 20px; }
		 h1,h2,h3 { font-family: arial, serif; color: #7f8c8d; }
		 h1 { font-size: 2.5em; }
		 h2 { font-size: 1.3em; }
         h3 { font-size: 1em; color: #84BBDD; margin: 0.5em 0; }

		 table { border: none; margin: 0; padding: 0; font-size: 0.9em;}
		 .scenarioStepsTable .stepName { padding: 5px; }

		 .scenarioStepsTable td {
		 border: 1px solid #ccc;
		 font-family: 'Varela Round', arial;
		 -webkit-border-radius: 5px;
		 -moz-border-radius: 5px;
		 border-radius: 5px;
		 background: rgb(255,255,255); /* Old browsers */
		 background: -moz-linear-gradient(top, rgba(255,255,255,1) 0%, rgba(229,229,229,1) 100%); /* FF3.6+ */
		 background: -webkit-gradient(linear, left top, left bottom, color-stop(0%,rgba(255,255,255,1)), color-stop(100%,rgba(229,229,229,1))); /* Chrome,Safari4+ */
		 background: -webkit-linear-gradient(top, rgba(255,255,255,1) 0%,rgba(229,229,229,1) 100%); /* Chrome10+,Safari5.1+ */
		 background: -o-linear-gradient(top, rgba(255,255,255,1) 0%,rgba(229,229,229,1) 100%); /* Opera11.10+ */
		 background: -ms-linear-gradient(top, rgba(255,255,255,1) 0%,rgba(229,229,229,1) 100%); /* IE10+ */
		 filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#ffffff', endColorstr='#e5e5e5',GradientType=0 ); /* IE6-9 */
		 background: linear-gradient(top, rgba(255,255,255,1) 0%,rgba(229,229,229,1) 100%); /* W3C */

		 }

         @media (max-width: 1200px) {
           #toolbar-filter {
             display: none !important;
           }
         }

         .scenarioStepsTable .nostyle {
             background: none;
             border: none;
         }

		 p {
		    cursor: pointer;
		 }

         .scenarioRow>td>p {
             padding: 5px;
         }

         .scenarioStepsTable .failedStep {
             padding: 10px;
             background: #ecf0f1;
             border: 2px solid #e74c3c;
             border-radius: 0px;
             color:  #e74c3c;
         }

         .scenarioStepsTable .error {
             background:  #999;
             padding: 10px;
             color: #fff;
             border-radius: 0px;
         }



         .scenarioStepsTable.substeps td {
             background: #bdc3c7;
         }

		 .header { font-size: large; font-weight: bold; }
		 p.scenarioSuccess {
    		 background: rgb(157,213,58); /* Old browsers */
		 }


		 .scenario { color: black; }
		 p.scenarioFailed, p.scenarioError { color: black;
		   background: #e74c3c
		 }

		 table.scenarioFailed tr:last-child { font-weight: bold; }

		 .scenarioSuccess { color: green; }
		 .scenarioFailed { color: red; }
		 .scenarioSkipped { color: teal; }
		 .scenarioIncomplete { color: gray; }
		 .scenarioStepsTable { margin-left: 10px; display: none; color: #333; }

		 .scenarioSuccessValue { color: green; }
		 .scenarioFailedvalue { color: red; }
		 .scenarioSkippedValue { color: teal; }
		 .scenarioIncompleteValue { color: gray; }

		 #stepContainerSummary {
		 background: white;
		 -webkit-border-radius: 5px;
		 -moz-border-radius: 5px;
		 border-radius: 5px;
		 padding: 20px;
		 }
		 ul#toolbar-filter {
            display: block;
            position: fixed;
            top: 20px;
            left: 0px;
            padding: 0px;
		 }
		 ul#toolbar-filter li {
		    list-style: none;
		    text-align: center;
			padding: 20px;
			background-color: #3498db;
		 }
		 ul#toolbar-filter li a, ul#toolbar-filter li a:hover, ul#toolbar-filter li a:visited {
		    color: #34495e;
		    text-decoration: none;
		 }
		 ul#toolbar-filter li.disabled {
			background-color: #bdc3c7;
		 }
	 </style>

  <script type="text/javascript">
  var showAll = true;
  function showHide(nodeId, linkObj)
  {
    var subObj = document.getElementById('stepContainer' + nodeId);

    if (linkObj.innerHTML.indexOf('+')>0) {
      linkObj.innerHTML = linkObj.innerHTML.replace('+','-');
      subObj.style.display='block';
      subObj.style.width = '100%';
    } else {
      linkObj.innerHTML = linkObj.innerHTML.replace('-','+');
      subObj.style.display='none';
    }
  }

  function showAllScenarios() {
    var toolbar = document.getElementById('toolbar-filter');
    for (var i = 0; i < toolbar.children.length; i++) {
      toolbar.children[i].className = '';
    }

    var trs = document.getElementsByTagName('tr');
    for(var z = 0; z < trs.length; z++) {
      trs[z].style.display = '';
    }
    showAll = true;
  }

  function toggleScenarios(name, linkObj) {
    var links = document.getElementById('toolbar-filter').children;
    var rows = document.getElementsByClassName('scenarioRow');
    if (showAll) {
        for (var i = 0; i < links.length; i++) {
            links[i].className = 'disabled';
        }

        for (var i = 0; i < rows.length; i++) {
            rows[i].style.display = 'none';
        }

    }
    showAll = false;

    if (linkObj.className == '') {
        linkObj.className = 'disabled';
        for (var i = 0; i < rows.length; i++) {
          if (rows[i].classList.contains(name)) {
                rows[i].style.display = 'none';
          }
        }
        return;
    }
    if (linkObj.className == 'disabled') {
        linkObj.className = '';
        for (var i = 0; i < rows.length; i++) {
          if (rows[i].classList.contains(name)) {
                rows[i].style.display = 'table-row';
          }
        }
        return;
    }

  }
  </script>
 </head>
 <body>
    <script type="text/javascript" src="https://www.gstatic.com/charts/loader.js"></script>

    <script type="text/javascript">
           // Load google charts
           google.charts.load('current', {'packages':['corechart']});
           google.charts.setOnLoadCallback(drawChart);

           // Draw the chart and set the chart values
           function drawChart() {
               var data = google.visualization.arrayToDataTable([
                    ['Task', 'Hours per Day'],
                    ['Success', 4],
                    ['Fail', 1],
                    ['Skipped', 0],
                    ['Incomplete', 0],
               ]);

               // Optional; add a title and set the width and height of the chart
               var options = {'width':500, 'height':300};

               // Display the chart inside the <div> element with id="piechart"
               var chart = new google.visualization.PieChart(document.getElementById('piechart'));
               chart.draw(data, options);
           }
    </script>

    <script type="text/javascript">
                function myFunction() {
                     var sum = parseInt(4) + parseInt(1) + parseInt(0) + parseInt(0);
                     document.getElementById("totalscenarios").innerHTML = sum;
                    }
                window.onload = myFunction;
    </script>

   <ul id="toolbar-filter">
     <li> <a href="#" title="Show all" onClick="showAllScenarios()">◯</a></li>
     <li> <a href="#" title="Successful" onClick="toggleScenarios('scenarioSuccess', this.parentElement)"><strong>✔</strong> 4</a></li>
     <li> <a href="#" title="Failed" onClick="toggleScenarios('scenarioFailed', this.parentElement)"><strong>✗</strong> 1</a></li>
     <li> <a href="#" title="Skipped" onClick="toggleScenarios('scenarioSkipped', this.parentElement)"><strong>S</strong> 0</a></li>
     <li> <a href="#" title="Incomplete" onClick="toggleScenarios('scenarioIncomplete', this.parentElement)"><strong>I</strong> 0</a></li>
   </ul>

 <div class="layout">
 <h1>TMS Automation Results <small><span style="color: #e74c3c">FAILED</span> (61.5s)</small></h1>



	 <table border="0" style="width: 100%;">
	 <tr>
    <td>
	    <h2>Summary</h2>
     <div id="stepContainerSummary">
      <table border="0">
       <tr>
        <td width="250">
        <h>Total scenarios:</h>
        </br>
        <h class="scenarioSuccess">Successful scenarios:</h>
        </br>
        <h class="scenarioFailed">Failed scenarios:</h>
        </br>
        <h class="scenarioSkipped">Skipped scenarios:</h>
        </br>
        <h class="scenarioIncomplete">Incomplete scenarios:</h>
        </td>
        <td>
        <strong id="totalscenarios">

        </strong>

        </br>
        <strong class="scenarioSuccessValue">
        4
        </strong>
        </br>
        <strong class="scenarioFailedValue">
        1
        </strong>
        </br>
        <strong class="scenarioSkippedValue">
        0
        </strong>
        </br>
        <strong class="scenarioIncompleteValue">
        0
        </strong>
        </td>
        <td rowspan="4"><div id="piechart"></div></td>
       </tr>
      </table>

     </div>
    </td>
   </tr>
		<tr>
 <td>
     <h3>Acceptance Tests</h3>
 </td>
</tr>   <tr class="scenarioRow scenarioSuccess">
    <td>
     <p class="scenarioSuccess" onclick="showHide('1', this)">[+] Scenario1 (Scenario1Cest::Scenario1) <span style="color: #34495e; font-size: 70%;">17.8s</span></p>
    </td>
   </tr>
   <tr class="scenarioRow scenarioSuccess">
    <td>
     <table border="0" width="100%" class="scenarioSuccess scenarioStepsTable" id="stepContainer1">


<tr>
 <td class="stepName" ><p onclick="showHide('5cd932e8b26b8', this)">[+] I logout </p>

     </td>
</tr>
<tr>
 <td class="nostyle">
  <table border="0" width="100%" class="substeps scenarioStepsTable" id="stepContainer5cd932e8b26b8">
          <tr>
       <td class="stepName ">I am on page <span style="color: #732E81">"/"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"//*[@id="username"]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I fill field <span style="color: #732E81">"//*[@id="username"]","adminHai"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"//*[@id="password"]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I fill field <span style="color: #732E81">"//*[@id="password"]","sI3uPyn1"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"//*[@class="btn btn-primary btn-block"]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I click <span style="color: #732E81">"//*[@class="btn btn-primary btn-block"]"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"//*[@class="btn btn-primary"]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I click <span style="color: #732E81">"//*[@class="btn btn-primary"]"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I generate random string <span style="color: #732E81">6</span></td>
      </tr>

      <tr>
       <td class="stepName ">I generate random string <span style="color: #732E81">6</span></td>
      </tr>

      <tr>
       <td class="stepName ">I generate random string <span style="color: #732E81">6</span></td>
      </tr>

      <tr>
       <td class="stepName ">I generate random string <span style="color: #732E81">6</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"//*[@id="username"]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I see element <span style="color: #732E81">"//*[@id="username"]"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"//*[@id="username"]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I fill field <span style="color: #732E81">"//*[@id="username"]","vhtmmn"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"//*[@id="firstname"]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I see element <span style="color: #732E81">"//*[@id="firstname"]"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"//*[@id="firstname"]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I fill field <span style="color: #732E81">"//*[@id="firstname"]","Lamkvlqxn"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"//*[@id="lastname"]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I see element <span style="color: #732E81">"//*[@id="lastname"]"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"//*[@id="lastname"]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I fill field <span style="color: #732E81">"//*[@id="lastname"]","Hungfipyyx"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"//*[@id="address"]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I see element <span style="color: #732E81">"//*[@id="address"]"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"//*[@id="address"]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I fill field <span style="color: #732E81">"//*[@id="address"]","312 Kinh Dương Vương, P.An Lạc, Q.Bình Tân"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"//*[@id="cemail"]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I see element <span style="color: #732E81">"//*[@id="cemail"]"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"//*[@id="cemail"]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I fill field <span style="color: #732E81">"//*[@id="cemail"]","auto.jdfzno"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"//input[@value="0"]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I see element <span style="color: #732E81">"//input[@value="0"]"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"//input[@value="0"]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I click <span style="color: #732E81">"//input[@value="0"]"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"//*[@id="stt"]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I see element <span style="color: #732E81">"//*[@id="stt"]"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"//*[@id="stt"]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I click <span style="color: #732E81">"//*[@id="stt"]"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"//*[@id="stt"]//*[@value="1 "]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I see element <span style="color: #732E81">"//*[@id="stt"]//*[@value="1 "]"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"//*[@id="stt"]//*[@value="1 "]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I click <span style="color: #732E81">"//*[@id="stt"]//*[@value="1 "]"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"//*[@id="department"]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I see element <span style="color: #732E81">"//*[@id="department"]"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"//*[@id="department"]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I click <span style="color: #732E81">"//*[@id="department"]"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"//*[@id="department"]//*[@label="SD - Software Development"]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I see element <span style="color: #732E81">"//*[@id="department"]//*[@label="SD - Software Development"]"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"//*[@id="department"]//*[@label="SD - Software Development"]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I click <span style="color: #732E81">"//*[@id="department"]//*[@label="SD - Software Development"]"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"//*[@id="competence"]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I see element <span style="color: #732E81">"//*[@id="competence"]"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"//*[@id="competence"]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I click <span style="color: #732E81">"//*[@id="competence"]"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"//*[@id="competence"]//*[@label="QC"]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I see element <span style="color: #732E81">"//*[@id="competence"]//*[@label="QC"]"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"//*[@id="competence"]//*[@label="QC"]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I click <span style="color: #732E81">"//*[@id="competence"]//*[@label="QC"]"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"//*[@id="job"]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I see element <span style="color: #732E81">"//*[@id="job"]"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"//*[@id="job"]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I click <span style="color: #732E81">"//*[@id="job"]"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"//*[@id="job"]//*[@label="QC Engineer"]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I see element <span style="color: #732E81">"//*[@id="job"]//*[@label="QC Engineer"]"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"//*[@id="job"]//*[@label="QC Engineer"]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I click <span style="color: #732E81">"//*[@id="job"]//*[@label="QC Engineer"]"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"//*[@id="level"]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I see element <span style="color: #732E81">"//*[@id="level"]"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"//*[@id="level"]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I click <span style="color: #732E81">"//*[@id="level"]"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"//*[@id="level"]//*[@label="1"]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I see element <span style="color: #732E81">"//*[@id="level"]//*[@label="1"]"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"//*[@id="level"]//*[@label="1"]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I click <span style="color: #732E81">"//*[@id="level"]//*[@label="1"]"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"//*[@id="line"]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I see element <span style="color: #732E81">"//*[@id="line"]"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"//*[@id="line"]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I click <span style="color: #732E81">"//*[@id="line"]"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"//*[@id="line"]//*[@label="admin admin (LMHai)"]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I see element <span style="color: #732E81">"//*[@id="line"]//*[@label="admin admin (LMHai)"]"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"//*[@id="line"]//*[@label="admin admin (LMHai)"]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I click <span style="color: #732E81">"//*[@id="line"]//*[@label="admin admin (LMHai)"]"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"//*[@id="assign"]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I see element <span style="color: #732E81">"//*[@id="assign"]"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"//*[@id="assign"]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I click <span style="color: #732E81">"//*[@id="assign"]"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"//*[@id="assign"]//*[@label="Employee"]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I see element <span style="color: #732E81">"//*[@id="assign"]//*[@label="Employee"]"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"//*[@id="assign"]//*[@label="Employee"]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I click <span style="color: #732E81">"//*[@id="assign"]//*[@label="Employee"]"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"//*[@name="bdate"]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I see element <span style="color: #732E81">"//*[@name="bdate"]"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"//*[@name="bdate"]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I click <span style="color: #732E81">"//*[@name="bdate"]"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"//*[@class="btn btn-default btn-sm uib-title"]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I see element <span style="color: #732E81">"//*[@class="btn btn-default btn-sm uib-title"]"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"//*[@class="btn btn-default btn-sm uib-title"]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I click <span style="color: #732E81">"//*[@class="btn btn-default btn-sm uib-title"]"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"//*[@class="btn btn-default btn-sm uib-title"]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I see element <span style="color: #732E81">"//*[@class="btn btn-default btn-sm uib-title"]"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"//*[@class="btn btn-default btn-sm uib-title"]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I click <span style="color: #732E81">"//*[@class="btn btn-default btn-sm uib-title"]"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"//*[@class="btn btn-default btn-sm pull-left uib-left"]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I see element <span style="color: #732E81">"//*[@class="btn btn-default btn-sm pull-left uib-left"]"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"//*[@class="btn btn-default btn-sm pull-left uib-left"]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I click <span style="color: #732E81">"//*[@class="btn btn-default btn-sm pull-left uib-left"]"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"(//*[@class="uib-year text-center ng-scope"])[14]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I see element <span style="color: #732E81">"(//*[@class="uib-year text-center ng-scope"])[14]"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"(//*[@class="uib-year text-center ng-scope"])[14]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I click <span style="color: #732E81">"(//*[@class="uib-year text-center ng-scope"])[14]"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"(//*[@class="uib-month text-center ng-scope"])[12]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I see element <span style="color: #732E81">"(//*[@class="uib-month text-center ng-scope"])[12]"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"(//*[@class="uib-month text-center ng-scope"])[12]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I click <span style="color: #732E81">"(//*[@class="uib-month text-center ng-scope"])[12]"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"(//*[@class="uib-day text-center ng-scope"])[6]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I see element <span style="color: #732E81">"(//*[@class="uib-day text-center ng-scope"])[6]"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"(//*[@class="uib-day text-center ng-scope"])[6]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I click <span style="color: #732E81">"(//*[@class="uib-day text-center ng-scope"])[6]"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"//*[@name="cdate"]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I see element <span style="color: #732E81">"//*[@name="cdate"]"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"//*[@name="cdate"]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I click <span style="color: #732E81">"//*[@name="cdate"]"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"//*[@class="btn btn-sm btn-info uib-datepicker-current ng-binding"]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I see element <span style="color: #732E81">"//*[@class="btn btn-sm btn-info uib-datepicker-current ng-binding"]"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"//*[@class="btn btn-sm btn-info uib-datepicker-current ng-binding"]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I click <span style="color: #732E81">"//*[@class="btn btn-sm btn-info uib-datepicker-current ng-binding"]"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"//*[@id="new-employee"]//*[@id="btnConfirm"]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I click <span style="color: #732E81">"//*[@id="new-employee"]//*[@id="btnConfirm"]"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"//span[@data-notify = "message"]",10</span></td>
      </tr>

      <tr>
       <td class="stepName ">I see <span style="color: #732E81">"Add employee successfully !","//span[@data-notify = "message"]"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element not visible <span style="color: #732E81">"//span[@data-notify = "message"]"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"//*[@class="lineheight"]//*[@name="firstname"]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I see element <span style="color: #732E81">"//*[@class="lineheight"]//*[@name="firstname"]"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"//*[@class="lineheight"]//*[@name="firstname"]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I fill field <span style="color: #732E81">"//*[@class="lineheight"]//*[@name="firstname"]","Lamkvlqxn"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"//*[@class="lineheight"]//*[@name="lastname"]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I see element <span style="color: #732E81">"//*[@class="lineheight"]//*[@name="lastname"]"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"//*[@class="lineheight"]//*[@name="lastname"]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I fill field <span style="color: #732E81">"//*[@class="lineheight"]//*[@name="lastname"]","Hungfipyyx"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"//search-employee//*[@class="btn btn-default glyphicon glyphicon-search"]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I click <span style="color: #732E81">"//search-employee//*[@class="btn btn-default glyphicon glyphicon-search"]"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"//div[@ui-view="employeesresult"]//tbody//tr"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"(//div[@ui-view="employeesresult"]//div[@id="tbl-results"]//a)[1]"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"(//div[@ui-view="employeesresult"]//div[@id="tbl-results"]//a)[1]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I see element <span style="color: #732E81">"(//div[@ui-view="employeesresult"]//div[@id="tbl-results"]//a)[1]"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"(//div[@ui-view="employeesresult"]//div[@id="tbl-results"]//a)[1]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I click <span style="color: #732E81">"(//div[@ui-view="employeesresult"]//div[@id="tbl-results"]//a)[1]"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"(//div[@class="col-md-2"]//p[@class="ng-binding"])[2]",10</span></td>
      </tr>

      <tr>
       <td class="stepName ">I see <span style="color: #732E81">"Working email: auto.jdfzno@nashtechglobal.com","(//div[@class="col-md-2"]//p[@class="ng-binding"])[2]"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"//*[@class="dropdown-toggle ng-binding"]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I see element <span style="color: #732E81">"//*[@class="dropdown-toggle ng-binding"]"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"//*[@class="dropdown-toggle ng-binding"]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I click <span style="color: #732E81">"//*[@class="dropdown-toggle ng-binding"]"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"(//*[@class="dropdown-menu"])[3]//li[2]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I see element <span style="color: #732E81">"(//*[@class="dropdown-menu"])[3]//li[2]"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"(//*[@class="dropdown-menu"])[3]//li[2]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I click <span style="color: #732E81">"(//*[@class="dropdown-menu"])[3]//li[2]"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"//div[@class="col-md-11"]//a",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I see element <span style="color: #732E81">"//div[@class="col-md-11"]//a"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"//div[@class="col-md-11"]//a",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I click <span style="color: #732E81">"//div[@class="col-md-11"]//a"</span></td>
      </tr>


  </table>
 </td>
</tr>

         

     </table>
    </td>
   </tr>


   <tr class="scenarioRow scenarioSuccess">
    <td>
     <p class="scenarioSuccess" onclick="showHide('2', this)">[+] Scenario2 (Scenario2Cest::Scenario2) <span style="color: #34495e; font-size: 70%;">14.99s</span></p>
    </td>
   </tr>
   <tr class="scenarioRow scenarioSuccess">
    <td>
     <table border="0" width="100%" class="scenarioSuccess scenarioStepsTable" id="stepContainer2">


<tr>
 <td class="stepName" ><p onclick="showHide('5cd932fb08cb9', this)">[+] I logout </p>

     </td>
</tr>
<tr>
 <td class="nostyle">
  <table border="0" width="100%" class="substeps scenarioStepsTable" id="stepContainer5cd932fb08cb9">
          <tr>
       <td class="stepName ">I am on page <span style="color: #732E81">"/"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"//*[@id="username"]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I fill field <span style="color: #732E81">"//*[@id="username"]","adminHai"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"//*[@id="password"]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I fill field <span style="color: #732E81">"//*[@id="password"]","sI3uPyn1"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"//*[@class="btn btn-primary btn-block"]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I click <span style="color: #732E81">"//*[@class="btn btn-primary btn-block"]"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"(//a[@class="dropdown-toggle"])[2]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I see element <span style="color: #732E81">"(//a[@class="dropdown-toggle"])[2]"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"(//a[@class="dropdown-toggle"])[2]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I click <span style="color: #732E81">"(//a[@class="dropdown-toggle"])[2]"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"(//ul[@class="dropdown-menu"])[2]//li[1]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I see element <span style="color: #732E81">"(//ul[@class="dropdown-menu"])[2]//li[1]"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"(//ul[@class="dropdown-menu"])[2]//li[1]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I click <span style="color: #732E81">"(//ul[@class="dropdown-menu"])[2]//li[1]"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I generate random string <span style="color: #732E81">6</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"//*[@id="name"]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I see element <span style="color: #732E81">"//*[@id="name"]"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"//*[@id="name"]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I fill field <span style="color: #732E81">"//*[@id="name"]","TMSProject.cvyefe"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"//*[@id="sizeday"]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I see element <span style="color: #732E81">"//*[@id="sizeday"]"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"//*[@id="sizeday"]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I fill field <span style="color: #732E81">"//*[@id="sizeday"]",100</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"//*[@id="shortDescription"]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I see element <span style="color: #732E81">"//*[@id="shortDescription"]"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"//*[@id="shortDescription"]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I fill field <span style="color: #732E81">"//*[@id="shortDescription"]","This is short description"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"//*[@id="longDescription"]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I see element <span style="color: #732E81">"//*[@id="longDescription"]"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"//*[@id="longDescription"]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I fill field <span style="color: #732E81">"//*[@id="longDescription"]","This is long description"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"//*[@id="technologies"]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I see element <span style="color: #732E81">"//*[@id="technologies"]"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"//*[@id="technologies"]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I fill field <span style="color: #732E81">"//*[@id="technologies"]","PHP, Codeception"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"//*[@id="clientName"]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I see element <span style="color: #732E81">"//*[@id="clientName"]"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"//*[@id="clientName"]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I fill field <span style="color: #732E81">"//*[@id="clientName"]","Havervey Nash"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"//select[@id="projecttype"]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I see element <span style="color: #732E81">"//select[@id="projecttype"]"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"//select[@id="projecttype"]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I click <span style="color: #732E81">"//select[@id="projecttype"]"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"//select[@id="projecttype"]//option[@label="ODC"]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I see element <span style="color: #732E81">"//select[@id="projecttype"]//option[@label="ODC"]"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"//select[@id="projecttype"]//option[@label="ODC"]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I click <span style="color: #732E81">"//select[@id="projecttype"]//option[@label="ODC"]"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"//select[@id="projecttype"]//option[@label="ODC"]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I grab text from <span style="color: #732E81">"//select[@id="projecttype"]//option[@label="ODC"]"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"//select[@id="status"]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I see element <span style="color: #732E81">"//select[@id="status"]"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"//select[@id="status"]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I click <span style="color: #732E81">"//select[@id="status"]"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"//select[@id="status"]//option[@label="Pending"]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I see element <span style="color: #732E81">"//select[@id="status"]//option[@label="Pending"]"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"//select[@id="status"]//option[@label="Pending"]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I click <span style="color: #732E81">"//select[@id="status"]//option[@label="Pending"]"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"//select[@id="status"]//option[@label="Pending"]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I grab text from <span style="color: #732E81">"//select[@id="status"]//option[@label="Pending"]"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"//select[@id="projectManager"]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I see element <span style="color: #732E81">"//select[@id="projectManager"]"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"//select[@id="projectManager"]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I click <span style="color: #732E81">"//select[@id="projectManager"]"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"//select[@id="projectManager"]//option[@label="Duc Le (PMHai)"]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I see element <span style="color: #732E81">"//select[@id="projectManager"]//option[@label="Duc Le (PMHai)"]"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"//select[@id="projectManager"]//option[@label="Duc Le (PMHai)"]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I click <span style="color: #732E81">"//select[@id="projectManager"]//option[@label="Duc Le (PMHai)"]"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"//select[@id="projectManager"]//option[@label="Duc Le (PMHai)"]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I grab text from <span style="color: #732E81">"//select[@id="projectManager"]//option[@label="Duc Le (PMHai)"]"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"//select[@id="deliveryManager"]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I see element <span style="color: #732E81">"//select[@id="deliveryManager"]"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"//select[@id="deliveryManager"]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I click <span style="color: #732E81">"//select[@id="deliveryManager"]"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"//select[@id="deliveryManager"]//option[@label="Manh Le (SMHai)"]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I see element <span style="color: #732E81">"//select[@id="deliveryManager"]//option[@label="Manh Le (SMHai)"]"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"//select[@id="deliveryManager"]//option[@label="Manh Le (SMHai)"]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I click <span style="color: #732E81">"//select[@id="deliveryManager"]//option[@label="Manh Le (SMHai)"]"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"//select[@id="deliveryManager"]//option[@label="Manh Le (SMHai)"]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I grab text from <span style="color: #732E81">"//select[@id="deliveryManager"]//option[@label="Manh Le (SMHai)"]"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"//select[@id="engagementManager"]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I see element <span style="color: #732E81">"//select[@id="engagementManager"]"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"//select[@id="engagementManager"]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I click <span style="color: #732E81">"//select[@id="engagementManager"]"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"//select[@id="engagementManager"]//option[@label="Manh Le (SMHai)"]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I see element <span style="color: #732E81">"//select[@id="engagementManager"]//option[@label="Manh Le (SMHai)"]"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"//select[@id="engagementManager"]//option[@label="Manh Le (SMHai)"]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I click <span style="color: #732E81">"//select[@id="engagementManager"]//option[@label="Manh Le (SMHai)"]"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"//select[@id="engagementManager"]//option[@label="Manh Le (SMHai)"]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I grab text from <span style="color: #732E81">"//select[@id="engagementManager"]//option[@label="Manh Le (SMHai)"]"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"//*[@name="sdate"]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I see element <span style="color: #732E81">"//*[@name="sdate"]"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"//*[@name="sdate"]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I click <span style="color: #732E81">"//*[@name="sdate"]"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"//*[@class="btn btn-sm btn-info uib-datepicker-current ng-binding"]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I see element <span style="color: #732E81">"//*[@class="btn btn-sm btn-info uib-datepicker-current ng-binding"]"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"//*[@class="btn btn-sm btn-info uib-datepicker-current ng-binding"]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I click <span style="color: #732E81">"//*[@class="btn btn-sm btn-info uib-datepicker-current ng-binding"]"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I grab value from <span style="color: #732E81">"//*[@name="sdate"]"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"//form[@id="newProject"]//button[@id="btnConfirm"]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I see element <span style="color: #732E81">"//form[@id="newProject"]//button[@id="btnConfirm"]"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"//form[@id="newProject"]//button[@id="btnConfirm"]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I click <span style="color: #732E81">"//form[@id="newProject"]//button[@id="btnConfirm"]"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"//span[@data-notify = "message"]"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"//span[@data-notify = "message"]",10</span></td>
      </tr>

      <tr>
       <td class="stepName ">I see <span style="color: #732E81">"Add project sucessfully","//span[@data-notify = "message"]"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element not visible <span style="color: #732E81">"//span[@data-notify = "message"]",10</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"//div[@class="col-md-4 col-md-offset-2 ng-scope"]//div[1]//p",10</span></td>
      </tr>

      <tr>
       <td class="stepName ">I see <span style="color: #732E81">"TMSProject.cvyefe","//div[@class="col-md-4 col-md-offset-2 ng-scope"]//div[1]//p"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"//div[@class="col-md-4 col-md-offset-2 ng-scope"]//div[2]//p",10</span></td>
      </tr>

      <tr>
       <td class="stepName ">I see <span style="color: #732E81">"ODC","//div[@class="col-md-4 col-md-offset-2 ng-scope"]//div[2]//p"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"//div[@class="col-md-4 col-md-offset-2 ng-scope"]//div[3]//p",10</span></td>
      </tr>

      <tr>
       <td class="stepName ">I see <span style="color: #732E81">"Pending","//div[@class="col-md-4 col-md-offset-2 ng-scope"]//div[3]//p"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"//div[@class="col-md-4 col-md-offset-2 ng-scope"]//div[4]//p",10</span></td>
      </tr>

      <tr>
       <td class="stepName ">I see <span style="color: #732E81">"13-May-2019","//div[@class="col-md-4 col-md-offset-2 ng-scope"]//div[4]//p"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"//div[@class="col-md-4 col-md-offset-2 ng-scope"]//div[6]//p",10</span></td>
      </tr>

      <tr>
       <td class="stepName ">I see <span style="color: #732E81">100,"//div[@class="col-md-4 col-md-offset-2 ng-scope"]//div[6]//p"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"//div[@class="col-md-4 col-md-offset-2 ng-scope"]//div[8]//p",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I grab text from <span style="color: #732E81">"//div[@class="col-md-4 col-md-offset-2 ng-scope"]//div[8]//p"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I assert contains <span style="color: #732E81">"Duc Le","Duc Le (PMHai)"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"//div[@class="col-md-4 col-md-offset-2 ng-scope"]//div[9]//p",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I grab text from <span style="color: #732E81">"//div[@class="col-md-4 col-md-offset-2 ng-scope"]//div[9]//p"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I assert contains <span style="color: #732E81">"Manh Le","Manh Le (SMHai)"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"//div[@class="col-md-4 col-md-offset-2 ng-scope"]//div[10]//p",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I grab text from <span style="color: #732E81">"//div[@class="col-md-4 col-md-offset-2 ng-scope"]//div[10]//p"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I assert contains <span style="color: #732E81">"Manh Le","Manh Le (SMHai)"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"//div[@class="col-md-4 ng-scope"]//div[1]//p",10</span></td>
      </tr>

      <tr>
       <td class="stepName ">I see <span style="color: #732E81">"This is short description","//div[@class="col-md-4 ng-scope"]//div[1]//p"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"//div[@class="col-md-4 ng-scope"]//div[2]//p",10</span></td>
      </tr>

      <tr>
       <td class="stepName ">I see <span style="color: #732E81">"This is long description","//div[@class="col-md-4 ng-scope"]//div[2]//p"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"//div[@class="col-md-4 ng-scope"]//div[3]//p",10</span></td>
      </tr>

      <tr>
       <td class="stepName ">I see <span style="color: #732E81">"PHP, Codeception","//div[@class="col-md-4 ng-scope"]//div[3]//p"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"//div[@class="col-md-4 ng-scope"]//div[4]//p",10</span></td>
      </tr>

      <tr>
       <td class="stepName ">I see <span style="color: #732E81">"Havervey Nash","//div[@class="col-md-4 ng-scope"]//div[4]//p"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"(//a[@class="dropdown-toggle"])[2]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I see element <span style="color: #732E81">"(//a[@class="dropdown-toggle"])[2]"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"(//a[@class="dropdown-toggle"])[2]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I click <span style="color: #732E81">"(//a[@class="dropdown-toggle"])[2]"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"(//ul[@class="dropdown-menu"])[2]//li[2]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I see element <span style="color: #732E81">"(//ul[@class="dropdown-menu"])[2]//li[2]"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"(//ul[@class="dropdown-menu"])[2]//li[2]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I click <span style="color: #732E81">"(//ul[@class="dropdown-menu"])[2]//li[2]"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"//*[@ng-model="input.projectname"]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I see element <span style="color: #732E81">"//*[@ng-model="input.projectname"]"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"//*[@ng-model="input.projectname"]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I fill field <span style="color: #732E81">"//*[@ng-model="input.projectname"]","TMSProject.cvyefe"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"//search-project//*[@class="btn btn-default glyphicon glyphicon-search"]"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"//search-project//*[@class="btn btn-default glyphicon glyphicon-search"]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I click <span style="color: #732E81">"//search-project//*[@class="btn btn-default glyphicon glyphicon-search"]"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"//div[@ui-view="projectsresult"]//tbody//tr"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"(//div[@ui-view="projectsresult"]//div[@id="tbl-results"]//a)[1]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I see element <span style="color: #732E81">"(//div[@ui-view="projectsresult"]//div[@id="tbl-results"]//a)[1]"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"(//div[@ui-view="projectsresult"]//div[@id="tbl-results"]//a)[1]",10</span></td>
      </tr>

      <tr>
       <td class="stepName ">I see <span style="color: #732E81">"TMSProject.cvyefe","(//div[@ui-view="projectsresult"]//div[@id="tbl-results"]//a)[1]"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"//*[@class="dropdown-toggle ng-binding"]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I see element <span style="color: #732E81">"//*[@class="dropdown-toggle ng-binding"]"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"//*[@class="dropdown-toggle ng-binding"]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I click <span style="color: #732E81">"//*[@class="dropdown-toggle ng-binding"]"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"(//*[@class="dropdown-menu"])[3]//li[2]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I see element <span style="color: #732E81">"(//*[@class="dropdown-menu"])[3]//li[2]"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"(//*[@class="dropdown-menu"])[3]//li[2]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I click <span style="color: #732E81">"(//*[@class="dropdown-menu"])[3]//li[2]"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"//div[@class="col-md-11"]//a",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I see element <span style="color: #732E81">"//div[@class="col-md-11"]//a"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"//div[@class="col-md-11"]//a",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I click <span style="color: #732E81">"//div[@class="col-md-11"]//a"</span></td>
      </tr>


  </table>
 </td>
</tr>

         

     </table>
    </td>
   </tr>


   <tr class="scenarioRow scenarioSuccess">
    <td>
     <p class="scenarioSuccess" onclick="showHide('3', this)">[+] Scenario3 (Scenario3Cest::Scenario3) <span style="color: #34495e; font-size: 70%;">10.9s</span></p>
    </td>
   </tr>
   <tr class="scenarioRow scenarioSuccess">
    <td>
     <table border="0" width="100%" class="scenarioSuccess scenarioStepsTable" id="stepContainer3">


<tr>
 <td class="stepName" ><p onclick="showHide('5cd9330967f3a', this)">[+] I logout </p>

     </td>
</tr>
<tr>
 <td class="nostyle">
  <table border="0" width="100%" class="substeps scenarioStepsTable" id="stepContainer5cd9330967f3a">
          <tr>
       <td class="stepName ">I am on page <span style="color: #732E81">"/"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"//*[@id="username"]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I fill field <span style="color: #732E81">"//*[@id="username"]","adminHai"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"//*[@id="password"]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I fill field <span style="color: #732E81">"//*[@id="password"]","sI3uPyn1"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"//*[@class="btn btn-primary btn-block"]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I click <span style="color: #732E81">"//*[@class="btn btn-primary btn-block"]"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"(//a[@class="dropdown-toggle"])[2]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I see element <span style="color: #732E81">"(//a[@class="dropdown-toggle"])[2]"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"(//a[@class="dropdown-toggle"])[2]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I click <span style="color: #732E81">"(//a[@class="dropdown-toggle"])[2]"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"(//ul[@class="dropdown-menu"])[2]//li[2]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I see element <span style="color: #732E81">"(//ul[@class="dropdown-menu"])[2]//li[2]"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"(//ul[@class="dropdown-menu"])[2]//li[2]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I click <span style="color: #732E81">"(//ul[@class="dropdown-menu"])[2]//li[2]"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"//search-project//*[@class="btn btn-default glyphicon glyphicon-search"]"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"//search-project//*[@class="btn btn-default glyphicon glyphicon-search"]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I click <span style="color: #732E81">"//search-project//*[@class="btn btn-default glyphicon glyphicon-search"]"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"(//div[@ui-view="projectsresult"]//div[@id="tbl-results"]//a)[1]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I see element <span style="color: #732E81">"(//div[@ui-view="projectsresult"]//div[@id="tbl-results"]//a)[1]"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"(//div[@ui-view="projectsresult"]//div[@id="tbl-results"]//a)[1]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I click <span style="color: #732E81">"(//div[@ui-view="projectsresult"]//div[@id="tbl-results"]//a)[1]"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I generate random string <span style="color: #732E81">6</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"//*[@class="col-md-4 ng-scope"]//*[@id="btnEdit"]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I see element <span style="color: #732E81">"//*[@class="col-md-4 ng-scope"]//*[@id="btnEdit"]"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"//*[@class="col-md-4 ng-scope"]//*[@id="btnEdit"]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I click <span style="color: #732E81">"//*[@class="col-md-4 ng-scope"]//*[@id="btnEdit"]"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"//div[@class="col-md-4 col-md-offset-2"]//input[@id="name"]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I fill field <span style="color: #732E81">"//div[@class="col-md-4 col-md-offset-2"]//input[@id="name"]","TMSProjectEdit.ylqfih"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"//*[@class="col-md-4"]//*[@id="btnEdit"]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I see element <span style="color: #732E81">"//*[@class="col-md-4"]//*[@id="btnEdit"]"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"//*[@class="col-md-4"]//*[@id="btnEdit"]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I click <span style="color: #732E81">"//*[@class="col-md-4"]//*[@id="btnEdit"]"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"//span[@data-notify = "message"]",10</span></td>
      </tr>

      <tr>
       <td class="stepName ">I see <span style="color: #732E81">"Edit project sucessfully","//span[@data-notify = "message"]"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element not visible <span style="color: #732E81">"//span[@data-notify = "message"]",10</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"(//a[@class="dropdown-toggle"])[2]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I see element <span style="color: #732E81">"(//a[@class="dropdown-toggle"])[2]"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"(//a[@class="dropdown-toggle"])[2]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I click <span style="color: #732E81">"(//a[@class="dropdown-toggle"])[2]"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"(//ul[@class="dropdown-menu"])[2]//li[2]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I see element <span style="color: #732E81">"(//ul[@class="dropdown-menu"])[2]//li[2]"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"(//ul[@class="dropdown-menu"])[2]//li[2]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I click <span style="color: #732E81">"(//ul[@class="dropdown-menu"])[2]//li[2]"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"//search-project//*[@class="btn btn-default glyphicon glyphicon-search"]"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"//search-project//*[@class="btn btn-default glyphicon glyphicon-search"]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I click <span style="color: #732E81">"//search-project//*[@class="btn btn-default glyphicon glyphicon-search"]"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"//div[@ui-view="projectsresult"]//tbody//tr"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"(//div[@ui-view="projectsresult"]//div[@id="tbl-results"]//a)[1]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I see element <span style="color: #732E81">"(//div[@ui-view="projectsresult"]//div[@id="tbl-results"]//a)[1]"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"(//div[@ui-view="projectsresult"]//div[@id="tbl-results"]//a)[1]",10</span></td>
      </tr>

      <tr>
       <td class="stepName ">I see <span style="color: #732E81">"TMSProjectEdit.ylqfih","(//div[@ui-view="projectsresult"]//div[@id="tbl-results"]//a)[1]"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"//*[@class="dropdown-toggle ng-binding"]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I see element <span style="color: #732E81">"//*[@class="dropdown-toggle ng-binding"]"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"//*[@class="dropdown-toggle ng-binding"]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I click <span style="color: #732E81">"//*[@class="dropdown-toggle ng-binding"]"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"(//*[@class="dropdown-menu"])[3]//li[2]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I see element <span style="color: #732E81">"(//*[@class="dropdown-menu"])[3]//li[2]"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"(//*[@class="dropdown-menu"])[3]//li[2]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I click <span style="color: #732E81">"(//*[@class="dropdown-menu"])[3]//li[2]"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"//div[@class="col-md-11"]//a",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I see element <span style="color: #732E81">"//div[@class="col-md-11"]//a"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"//div[@class="col-md-11"]//a",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I click <span style="color: #732E81">"//div[@class="col-md-11"]//a"</span></td>
      </tr>


  </table>
 </td>
</tr>

         

     </table>
    </td>
   </tr>


   <tr class="scenarioRow scenarioFailed">
    <td>
     <p class="scenarioFailed" onclick="showHide('4', this)">[+] Scenario4 (Scenario4Cest::Scenario4) <span style="color: #34495e; font-size: 70%;">5.12s</span></p>
    </td>
   </tr>
   <tr class="scenarioRow scenarioFailed">
    <td>
     <table border="0" width="100%" class="scenarioFailed scenarioStepsTable" id="stepContainer4">


<tr>
 <td class="stepName" ><p onclick="showHide('5cd933122ec6d', this)">[+] I check message shown correct </p>

     </td>
</tr>
<tr>
 <td class="nostyle">
  <table border="0" width="100%" class="substeps scenarioStepsTable" id="stepContainer5cd933122ec6d">
          <tr>
       <td class="stepName ">I am on page <span style="color: #732E81">"/"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"//*[@id="username"]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I fill field <span style="color: #732E81">"//*[@id="username"]","adminHai"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"//*[@id="password"]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I fill field <span style="color: #732E81">"//*[@id="password"]","sI3uPyn1"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"//*[@class="btn btn-primary btn-block"]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I click <span style="color: #732E81">"//*[@class="btn btn-primary btn-block"]"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"//search-employee//*[@class="btn btn-default glyphicon glyphicon-search"]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I click <span style="color: #732E81">"//search-employee//*[@class="btn btn-default glyphicon glyphicon-search"]"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"(//div[@ui-view="employeesresult"]//div[@id="tbl-results"]//a)[1]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I see element <span style="color: #732E81">"(//div[@ui-view="employeesresult"]//div[@id="tbl-results"]//a)[1]"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"(//div[@ui-view="employeesresult"]//div[@id="tbl-results"]//a)[1]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I click <span style="color: #732E81">"(//div[@ui-view="employeesresult"]//div[@id="tbl-results"]//a)[1]"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"//a[@class="btn btn-primary"]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I see element <span style="color: #732E81">"//a[@class="btn btn-primary"]"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"//a[@class="btn btn-primary"]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I click <span style="color: #732E81">"//a[@class="btn btn-primary"]"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"(//div[@class="col-md-7"]//div[@class="panel-group"])[2]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I see element <span style="color: #732E81">"(//div[@class="col-md-7"]//div[@class="panel-group"])[2]"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"(//div[@class="col-md-7"]//div[@class="panel-group"])[2]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I click <span style="color: #732E81">"(//div[@class="col-md-7"]//div[@class="panel-group"])[2]"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I generate random string <span style="color: #732E81">6</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"(//div[@class="col-md-7"]//div[@class="panel-group"])[2]//input[@id="cemail"]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I see element <span style="color: #732E81">"(//div[@class="col-md-7"]//div[@class="panel-group"])[2]//input[@id="cemail"]"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"(//div[@class="col-md-7"]//div[@class="panel-group"])[2]//input[@id="cemail"]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I fill field <span style="color: #732E81">"(//div[@class="col-md-7"]//div[@class="panel-group"])[2]//input[@id="cemail"]","auto.arnhju"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"//div[@id="collapse2"]//button[@class="btn btn-primary"]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I see element <span style="color: #732E81">"//div[@id="collapse2"]//button[@class="btn btn-primary"]"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"//div[@id="collapse2"]//button[@class="btn btn-primary"]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I click <span style="color: #732E81">"//div[@id="collapse2"]//button[@class="btn btn-primary"]"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"//span[@data-notify = "message"]",10</span></td>
      </tr>

      <tr>
       <td class="stepName failedStep">I see <span style="color: #732E81">"Update company information successfully..","//span[@data-notify = "message"]"</span></td>
      </tr>


  </table>
 </td>
</tr>

         <tr >
    <td class="error">
        Failed asserting that any element by '//span[@data-notify = "message"]' on page <bold>/#!/employees/edit/10190</bold><br />
Elements: <br />
+ <info><span> Update company information successfully.</info><br />
contains text 'Update company information successfully..'
        <a href=".\tests\_output\Scenario4Cest.Scenario4.fail.html">{name}</a>
    </td>
</tr>

     </table>
    </td>
   </tr>


   <tr class="scenarioRow scenarioSuccess">
    <td>
     <p class="scenarioSuccess" onclick="showHide('5', this)">[+] Scenario5 (Scenario5Cest::Scenario5) <span style="color: #34495e; font-size: 70%;">12.71s</span></p>
    </td>
   </tr>
   <tr class="scenarioRow scenarioSuccess">
    <td>
     <table border="0" width="100%" class="scenarioSuccess scenarioStepsTable" id="stepContainer5">


<tr>
 <td class="stepName" ><p onclick="showHide('5cd933222e9e2', this)">[+] I logout </p>

     </td>
</tr>
<tr>
 <td class="nostyle">
  <table border="0" width="100%" class="substeps scenarioStepsTable" id="stepContainer5cd933222e9e2">
          <tr>
       <td class="stepName ">I am on page <span style="color: #732E81">"/"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"//*[@id="username"]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I fill field <span style="color: #732E81">"//*[@id="username"]","adminHai"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"//*[@id="password"]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I fill field <span style="color: #732E81">"//*[@id="password"]","sI3uPyn1"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"//*[@class="btn btn-primary btn-block"]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I click <span style="color: #732E81">"//*[@class="btn btn-primary btn-block"]"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"//*[@class="dropdown-toggle ng-binding"]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I see element <span style="color: #732E81">"//*[@class="dropdown-toggle ng-binding"]"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"//*[@class="dropdown-toggle ng-binding"]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I click <span style="color: #732E81">"//*[@class="dropdown-toggle ng-binding"]"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"(//*[@class="dropdown-menu"])[3]//li[1]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I see element <span style="color: #732E81">"(//*[@class="dropdown-menu"])[3]//li[1]"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"(//*[@class="dropdown-menu"])[3]//li[1]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I click <span style="color: #732E81">"(//*[@class="dropdown-menu"])[3]//li[1]"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"(//div[@id="collapse1"]//div[@class="col-md-6"]//p)[1]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I grab text from <span style="color: #732E81">"(//div[@id="collapse1"]//div[@class="col-md-6"]//p)[1]"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"(//div[@id="collapse1"]//div[@class="col-md-6"]//p)[7]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I grab text from <span style="color: #732E81">"(//div[@id="collapse1"]//div[@class="col-md-6"]//p)[7]"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"(//div[@class="col-md-2"]//p[@class="ng-binding"])[2]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I grab text from <span style="color: #732E81">"(//div[@class="col-md-2"]//p[@class="ng-binding"])[2]"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"//ul[@class="nav nav-tabs"]//li[2]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I see element <span style="color: #732E81">"//ul[@class="nav nav-tabs"]//li[2]"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"//ul[@class="nav nav-tabs"]//li[2]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I click <span style="color: #732E81">"//ul[@class="nav nav-tabs"]//li[2]"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"//div[@id="content-historic"]//span[@class="text-muted ng-binding"]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I grab text from <span style="color: #732E81">"//div[@id="content-historic"]//span[@class="text-muted ng-binding"]"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"//div[@id="content-historic"]//button[@class="btn btn-primary"]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I see element <span style="color: #732E81">"//div[@id="content-historic"]//button[@class="btn btn-primary"]"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"//div[@id="content-historic"]//button[@class="btn btn-primary"]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I click <span style="color: #732E81">"//div[@id="content-historic"]//button[@class="btn btn-primary"]"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"//input[@id="projectname"]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I see element <span style="color: #732E81">"//input[@id="projectname"]"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"//input[@id="projectname"]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I fill field <span style="color: #732E81">"//input[@id="projectname"]","Testing working history "</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"//button[@class="btn btn-primary"]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I see element <span style="color: #732E81">"//button[@class="btn btn-primary"]"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"//button[@class="btn btn-primary"]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I click <span style="color: #732E81">"//button[@class="btn btn-primary"]"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"//span[@data-notify = "message"]",10</span></td>
      </tr>

      <tr>
       <td class="stepName ">I see <span style="color: #732E81">"Add new Working History successfully !","//span[@data-notify = "message"]"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element not visible <span style="color: #732E81">"//span[@data-notify = "message"]",10</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"//table[@id="tbl-historic"]"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"//div[@id="content-historic"]//span[@class="text-muted ng-binding"]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I grab text from <span style="color: #732E81">"//div[@id="content-historic"]//span[@class="text-muted ng-binding"]"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I assert equals <span style="color: #732E81">43,43</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"//*[@class="dropdown-toggle ng-binding"]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I see element <span style="color: #732E81">"//*[@class="dropdown-toggle ng-binding"]"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"//*[@class="dropdown-toggle ng-binding"]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I click <span style="color: #732E81">"//*[@class="dropdown-toggle ng-binding"]"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"(//*[@class="dropdown-menu"])[3]//li[2]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I see element <span style="color: #732E81">"(//*[@class="dropdown-menu"])[3]//li[2]"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"(//*[@class="dropdown-menu"])[3]//li[2]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I click <span style="color: #732E81">"(//*[@class="dropdown-menu"])[3]//li[2]"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"//div[@class="col-md-11"]//a",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I see element <span style="color: #732E81">"//div[@class="col-md-11"]//a"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"//div[@class="col-md-11"]//a",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I click <span style="color: #732E81">"//div[@class="col-md-11"]//a"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I am on page <span style="color: #732E81">"/"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"//*[@id="username"]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I fill field <span style="color: #732E81">"//*[@id="username"]","adminHai"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"//*[@id="password"]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I fill field <span style="color: #732E81">"//*[@id="password"]","sI3uPyn1"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"//*[@class="btn btn-primary btn-block"]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I click <span style="color: #732E81">"//*[@class="btn btn-primary btn-block"]"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"//*[@class="dropdown-toggle ng-binding"]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I see element <span style="color: #732E81">"//*[@class="dropdown-toggle ng-binding"]"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"//*[@class="dropdown-toggle ng-binding"]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I click <span style="color: #732E81">"//*[@class="dropdown-toggle ng-binding"]"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"(//*[@class="dropdown-menu"])[3]//li[1]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I see element <span style="color: #732E81">"(//*[@class="dropdown-menu"])[3]//li[1]"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"(//*[@class="dropdown-menu"])[3]//li[1]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I click <span style="color: #732E81">"(//*[@class="dropdown-menu"])[3]//li[1]"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"//ul[@class="nav nav-tabs"]//li[2]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I see element <span style="color: #732E81">"//ul[@class="nav nav-tabs"]//li[2]"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"//ul[@class="nav nav-tabs"]//li[2]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I click <span style="color: #732E81">"//ul[@class="nav nav-tabs"]//li[2]"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"//table[@id="tbl-historic"]"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"//div[@id="content-historic"]//span[@class="text-muted ng-binding"]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I grab text from <span style="color: #732E81">"//div[@id="content-historic"]//span[@class="text-muted ng-binding"]"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I assert equals <span style="color: #732E81">43,43</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"//*[@class="dropdown-toggle ng-binding"]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I see element <span style="color: #732E81">"//*[@class="dropdown-toggle ng-binding"]"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"//*[@class="dropdown-toggle ng-binding"]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I click <span style="color: #732E81">"//*[@class="dropdown-toggle ng-binding"]"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"(//*[@class="dropdown-menu"])[3]//li[2]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I see element <span style="color: #732E81">"(//*[@class="dropdown-menu"])[3]//li[2]"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"(//*[@class="dropdown-menu"])[3]//li[2]",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I click <span style="color: #732E81">"(//*[@class="dropdown-menu"])[3]//li[2]"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"//div[@class="col-md-11"]//a",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I see element <span style="color: #732E81">"//div[@class="col-md-11"]//a"</span></td>
      </tr>

      <tr>
       <td class="stepName ">I wait for element visible <span style="color: #732E81">"//div[@class="col-md-11"]//a",60</span></td>
      </tr>

      <tr>
       <td class="stepName ">I click <span style="color: #732E81">"//div[@class="col-md-11"]//a"</span></td>
      </tr>


  </table>
 </td>
</tr>

         

     </table>
    </td>
   </tr>



  </table>
 </div>
 </body>
</html>
